Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
kb:newer_db_version [2017/11/12 19:53]
127.0.0.1 external edit
kb:newer_db_version [2019/10/03 00:23]
dstillman
Line 1: Line 1:
-<​html><​p id="​zotero-5-update-warning"​ style="​color:​ red; font-weight:​ bold">​We’re 
-in the process of updating the documentation for 
-<a href="​https://​www.zotero.org/​blog/​zotero-5-0">​Zotero 5.0</​a>​. Some documentation 
-may be outdated in the meantime. Thanks for your understanding.</​p></​html>​ 
- 
- 
 === Why am I getting a database version error? === === Why am I getting a database version error? ===
  
-After reinstalling or downgrading Zotero, or when switching between Zotero for Firefox and Zotero Standalone, you may see the following error message when you you try to open Zotero:+After reinstalling or downgrading Zotero, you may see the following error message when you you try to open Zotero:
  
 //This version of Zotero is older than the version last used with your database. Please upgrade to the latest version from zotero.org.//​ //This version of Zotero is older than the version last used with your database. Please upgrade to the latest version from zotero.org.//​
Line 13: Line 7:
 This message results from trying to use a Zotero database from a later version of Zotero in an earlier version of the software. For example, if you installed Zotero 5.0 but then reinstalled Zotero 4.0.29.15, you would get this error. Most Zotero versions preserve backward database compatibility,​ but occasionally it's necessary for Zotero developers to make changes to the database that prevent it from working with previous versions. This message results from trying to use a Zotero database from a later version of Zotero in an earlier version of the software. For example, if you installed Zotero 5.0 but then reinstalled Zotero 4.0.29.15, you would get this error. Most Zotero versions preserve backward database compatibility,​ but occasionally it's necessary for Zotero developers to make changes to the database that prevent it from working with previous versions.
  
-The best solution is generally to reinstall the latest version of Zotero from [[/​|zotero.org]]. (If you were using a development build, you may need to reinstall the  [[:​dev_builds|latest ​dev build]].)+The best solution is generally to reinstall the latest version of Zotero from [[/​|zotero.org]]. (If you were using the Zotero Beta, you may need to reinstall the [[:​dev_builds|latest ​beta build]].)
  
-If for some reason you don't want to or are not able to install the latest version, you can restore the pre-upgrade database backup that Zotero stored in your [[:zotero data|Zotero data directory]]. Look for the zotero.sqlite.*.bak file with the highest number (e.g., zotero.sqlite.77.bak). Close Zotero/Firefox, move your existing zotero.sqlite file out of the way, and then copy the numbered backup file into place as zotero.sqlite. Then restart Zotero.+If for some reason you don't want to or are not able to install the latest version, you can restore the pre-upgrade database backup that Zotero stored in your [[:zotero data|Zotero data directory]]. Look for the zotero.sqlite.*.bak file with the highest number (e.g., zotero.sqlite.77.bak). Close Zotero, move your existing zotero.sqlite file out of the way, and then copy the numbered backup file into place as zotero.sqlite. Then restart Zotero.
  
 If you don't have data you care about, or if you've fully synced your data and files with your online account, you can keep your current Zotero version by closing Zotero/​Firefox,​ deleting your [[:​zotero_data|Zotero data directory]] completely, and, optionally, syncing to restore your previous data. If you don't have data you care about, or if you've fully synced your data and files with your online account, you can keep your current Zotero version by closing Zotero/​Firefox,​ deleting your [[:​zotero_data|Zotero data directory]] completely, and, optionally, syncing to restore your previous data.
kb/newer_db_version.txt · Last modified: 2019/10/03 00:23 by dstillman